#
# spec file for package sound-juicer (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sound-juicer
BuildRequires:  brasero-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-media-devel
BuildRequires:  gstreamer010-plugins-base-devel
BuildRequires:  gstreamer010-plugins-good
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libcdio-devel
BuildRequires:  libglade2-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libmusicbrainz3-devel
BuildRequires:  update-desktop-files
License:        GPLv2+
Group:          Productivity/Multimedia/CD/Grabbers
Version:        2.28.1
Release:        1.1.1
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/sound-juicer/2.20/%{name}-%{version}.tar.bz2
Url:            http://www.burtonini.com/blog/computers/sound-juicer/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Clean and Lean GNOME CD Ripper
Requires:       gstreamer010-plugins-good
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description
GStreamer-based CD ripping tool. Saves audio CDs to Ogg/vorbis.

%lang_package
%prep
%setup -q

%build
%configure\
	--disable-schemas-install\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file %{name} AudioVideo Player Audio
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/sound-juicer
%doc %{_mandir}/man1/sound-juicer.1.gz

%files lang -f %{name}.lang

%changelog
* Mon Dec  7 2009 vuntz@opensuse.org
- Remove workaround for en@shaw for 11.3.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + Use gnome-session instead of gnome-power-manager to avoid the
    machine going to sleep
  + Fix a few crashers when extracting an unknown CD
  + Fix CD-Text metadata gathering
  + Don't truncate submission URLs
  + Extract UUIDs to put in ripped files' metadata
  + Fix some bugs in test program
  + Updated translations.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Disable paranoia on playback
  + Fix leaks and crashes in the metadata fetches
  + Updated translations.
* Sat Apr 11 2009 mboman@suse.de
- Update to version 2.26.1:
  + Read the track artist instead of album artist in Musicbrain3
  + Don't crash if the release date is unknown
  + Read tracks when falling back to gvfs
- Don't package omf files in the main package since they are
  included in -lang
* Sat Mar 21 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
* Sat Mar 14 2009 mboman@suse.de
- Update to version 2.25.92:
  + Allow building with the old libmusicbrainz
  + Set the PulseAudio role hint
- Remove custom CFLAGS
- Remove BuildRequires gnome-common,
  libstdc++, scrollkeeper and taglib-devel
* Sat Feb 14 2009 mboman@suse.de
- Update to version 2.25.3:
  + Put the disc number in the file name
  + Support multiple genres
  + Use libcanberra for event sounds
  + Handle custom patterns in the prefs dialog
  + Remove Musicbrainz data if the track data is changed
  + Fix disc number editing logic
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 2.25.2:
  + Port to Brasero
  + Fix Solaris builds
  + Drop libgnome
  + Fix conflicting mnemonics in the message area
  + Fix mb3 backend
- Remove unneeded BuildRequires: docbook-xsl-stylesheets,
  docbook_4, libgnomeui-devel, nautilus-cd-burner-devel,
  nautilus-devel, perl-XML-Parser
- Add BuildRequires on brasero-devel, gconf2-devel, libglade2-devel
  and on libmusicbrainz3-devel.
- Do not call autoreconf.
- Use %%doc for manpage.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.1:
  + Chain the metadata lookups
  + Finish the libmusicbrainz3 metadata fetcher
  + Add a GVFS metadata fetcher as fallback
  + Make libcdio option, as it breaks the GPL+Exception license
  + Export ASIN, Discogs, Wikipedia in the internal metadata
  + Lots of other cleanups to the metadata code
  + Remove copy of the id3mux plugin, assume it exists now
  + Remove Encoding field from desktop file
  + Add Audio to desktop categories
  + Correctly parse CDDA URLs
  + Don't free the option context
* Sun Sep 21 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates.
* Wed Sep 10 2008 maw@suse.de
- Update to version 2.23.3:
  + Don't crash upon exit
  + Correctly parse CDDA URLs (bgo#550131).
* Tue Aug 26 2008 mboman@novell.com
- Update to version 2.23.2:
  + Stop playback when the disc is re-read.
  + Only eject the disc if tracks were ripped.
  + Don't try and move the non-existant temp file when skipping.
  + Free the option context.
  + Don't block until n-c-b quits when copying discs.
  + Fix playback track switching.
* Fri Aug  8 2008 maw@suse.de
- Update to version 2.23.1:
  + Fix play+pause+play (bgo#523182)
  + Add %%ay, album year (bgo#522909).
* Mon Jun 23 2008 maw@suse.de
- Update to version 2.23.0:
  + Port to GIO
  + Fix display problems with the cluebar
  + Add audio preview when overwriting
  + Use GtkVolmeButton instead of BaconVolume
  + Fix crash when no profile is selected
  + Add []<> to the special character list
  + Make the year and disc entries a11y
  + Fix error handling in CD playback.
* Mon Mar 17 2008 vuntz@suse.de
- Remove sound-juicer-no_deprec.diff which isn't needed anymore.
* Thu Mar 13 2008 vuntz@suse.de
- Update to version 2.22.0:
  + Fix various crashes in the preferences dialogs
  + Translate the genres
  + Add a paused track state
  + Use the system icons for play/record
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Don't loop if the selected music directory doesn't exist
  + When editing the album artist, unset the sortable artist name
  + Remove deprecated calls in BaconVolume
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.3:
  + Add a disc number field, and magically populate it
  + Add content/* media types
  + Set a11y relationships on the cluebar
  + Fix play/pause
  + Handle the cdio element not being cdparanoia.
* Fri Feb  1 2008 maw@suse.de
- Update to version 2.21.2:
  + Updated documentation
  + Many bug fixes
  + New features.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * remove a work around now that GStreamer is fixed
  * translations update
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.3:
  + Be more paranoid when removing sources
  + Require a newer version of libmusicbrainz
  + Updated translations
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Mon Jul  9 2007 mauro@suse.de
- Updating to 2.19.2
- Fix NULL tracks titles
- Correctly lookup the album artist
* Wed May  9 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requieres and BuildRequieres
  [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Mon Mar 12 2007 maw@suse.de
- Don't attempt to package %%{_datadir}/pixmaps/*.* anymore.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.16.3.
  * Set urgency hint on completed dialog (Sebastien Bacher)
  * Add man page
  * Ensure playback is stopped when media is removed (Luca Cavalli)
  * "None" directory path shouldn't create blank directory name (#374831, Adam Petaccia)
  * Don't disable re-read when playing (#347218, Stephen Cook)
  * Update bacon volume (#369490)
  * Set a11y relationships (Robin Sonefore, #364386)
  * Fix prefs dialog spacing (#332561, Christian Persch)
  * Fix dates with 0s in (#364976, Alex Lancaster).
  * Replace spaces with underscores in path_patterns and file_patterns when "Strip
    special characters" is selected (#357111, Luca Cavalli).
  * Reset the extract speed on every track just in case (#343544).
  * Initialise the authentication manager (#356578)
  * Show error messages when the pipeline doesn't link (Tim-Philipp Muller, #361151)
* Fri Mar  9 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Wed Jan 10 2007 sbrabec@suse.cz
- Removed upstreamed icons.
* Tue Dec 19 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Sat Oct 14 2006 danw@suse.de
- Remove dead patches
* Fri Oct 13 2006 aj@suse.de
- Add gnome-doc-utils-devel to BuildRequires.
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Fix profiles where the output frequency isn't 44.1Khz
- Listen to the strip special characters preference and update the label
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- Fix authenticated proxy
* Fri Aug 25 2006 jhargadon@suse.de
- update to version 2.15.5.1
- Update the icon cache on install
- Add date information to all possible albums
- Improve GStreamer error handling
- Don't crash when re-opening the Preferences dialog
- Clear the genre field when re-reading the disk
- Update for new nautilus-cd-burner API
- Release a tarball with translations
- Save and restore window maximised state
- Use GLib debug flags rather than --enable-debug
- Only manipulate the track store if there is stuff in it
- Fix progress bar calculation
- Fix reversed check for invalid iterator, allowing playback to work
* Wed Apr  5 2006 jpr@suse.de
- Update to sound-juicer 2.14.0 for gstreamer 0.10 support
- Back patch to not require new nautilus cd burner
* Sun Mar 12 2006 aj@suse.de
- Reduce BuildRequires.
* Mon Mar  6 2006 sbrabec@suse.cz
- Symlink icon to pixmaps dir (#152108).
* Tue Feb 28 2006 sbrabec@suse.cz
- Fixed BuildRequires.
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Tue Feb 21 2006 dobey@suse.de
- Added BuildRequires and Requires for gnome-icon-theme
- Added in new icons from upstream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec  1 2005 gekker@suse.de
- Update to version 2.12.3
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
- Add libxml2-python and python to nfb
* Mon Sep  5 2005 mmj@suse.de
- Update to 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 gekker@suse.de
- Update to 2.11.92
* Fri Aug 19 2005 gekker@suse.de
- Add fam and krb5 to nfb to fix build
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.4
* Tue Jun 21 2005 sbrabec@suse.cz
- Updated to version 2.11.1.
- Fixed dependencies.
* Thu Mar 10 2005 gekker@suse.de
- Revert from gamin to fam per Andreas
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- update to version 2.9.92
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.91
- Update neededforbuild with nautilus, nautilus-devel, nautilus-cd-burner
  and swap fam for gamin
- Update Requires
* Mon Jan 31 2005 ro@suse.de
- fix build: do not define GNOME_DISABLE_DEPRECATED
* Wed Nov  3 2004 ro@suse.de
- locale rename: no -> nb
* Tue Sep 14 2004 clahey@suse.de
- Change label in menus to CD Ripper.
* Fri Aug 27 2004 clahey@suse.de
- Cache sound-juicer help and show sound-juicer in khelpcenter.
* Tue May 11 2004 sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Wed May  5 2004 sbrabec@suse.cz
- Updated to version 0.5.11.
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Thu Feb 19 2004 sbrabec@suse.cz
- Updated to version 0.5.10.1.
* Sat Jan 10 2004 adrian@suse.de
- fix build as user
* Tue Dec  9 2003 ro@suse.de
- make it compile (-Wno-unused, cast the rest ...)
* Fri Oct 10 2003 sbrabec@suse.cz
- New SuSE package, version 0.5.4.
